%define	pkgname	glibmm
%define	api_version 2.4
%define major	1
%define	libname	%mklibname %{pkgname} %{api_version} %{major}
%define	devname	%mklibname -d %{pkgname} %{api_version}

Name:		%{pkgname}%{api_version}
Summary:	C++ interface for glib
Version:	2.32.1
Release:	1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
BuildRequires:	glib2-devel >= 2.30
BuildRequires:	mm-common >= 0.9.4
BuildRequires:	libsigc++2.0-devel >= 2.2.10
BuildRequires:	doxygen libxslt-proc

%description
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.


%package -n	%{libname}
Summary:	C++ interface for glib
Group:		System/Libraries

%description -n	%{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.


%package -n	%{devname}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Requires:	mm-common >= 0.9.4
Obsoletes:	%mklibname -d %{pkgname} %{api_version} 1

%description -n	%{devname}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.


%package	doc
Summary:	Glibmm documentation
Group:		Books/Other

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains all API documentation for %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x \
    --enable-shared \
    --disable-static
%make

# make check does nothing

%install
%makeinstall_std

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/libglibmm*%{api_version}.so.%{major}*
%{_libdir}/libgiomm*%{api_version}.so.%{major}*

%files -n %{devname}
%doc AUTHORS ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/giomm-%{api_version}/
%{_libdir}/glibmm-%{api_version}/
%{_libdir}/pkgconfig/*.pc

%files doc
%doc %{_datadir}/doc/glibmm-%{api_version}
%{_datadir}/devhelp/books/glibmm-2.4/


%changelog
* Wed Jul 11 2012 Götz Waschk <waschk@mandriva.org> 2.32.1-1
+ Revision: 808856
- update to new version 2.32.1

* Tue Apr 10 2012 Götz Waschk <waschk@mandriva.org> 2.32.0-1
+ Revision: 790236
- update to new version 2.32.0

* Wed Mar 28 2012 Götz Waschk <waschk@mandriva.org> 2.31.22-1
+ Revision: 787958
- new version

* Sat Mar 17 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.31.20-2
+ Revision: 785435
- drop unused provides
- cosmetics

* Sat Mar 10 2012 Götz Waschk <waschk@mandriva.org> 2.31.20-1
+ Revision: 783874
- update to new version 2.31.20

* Mon Feb 27 2012 Götz Waschk <waschk@mandriva.org> 2.31.18.1-1
+ Revision: 781117
- update to new version 2.31.18.1

* Mon Dec 05 2011 Zé <ze@mandriva.org> 2.31.2-1
+ Revision: 738004
- clean unused macros
- 2.31.2
- clean static and .la files
- fix provides
- clean useless macros

* Mon Nov 21 2011 Götz Waschk <waschk@mandriva.org> 2.30.1-1
+ Revision: 732175
- new version
- bump glib and libsigc++ deps
- update file list

* Tue Jun 14 2011 Götz Waschk <waschk@mandriva.org> 2.28.2-1
+ Revision: 685094
- new version
- xz tarball

* Mon May 09 2011 Götz Waschk <waschk@mandriva.org> 2.28.1-1
+ Revision: 672746
- update to new version 2.28.1

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.28.0-2
+ Revision: 664852
- mass rebuild

* Tue Apr 05 2011 Götz Waschk <waschk@mandriva.org> 2.28.0-1
+ Revision: 650715
- new version

* Tue Mar 29 2011 Götz Waschk <waschk@mandriva.org> 2.27.99.2-1
+ Revision: 648738
- update to new version 2.27.99.2

* Mon Mar 28 2011 Götz Waschk <waschk@mandriva.org> 2.27.99.1-1
+ Revision: 648659
- update to new version 2.27.99.1

* Thu Mar 24 2011 Götz Waschk <waschk@mandriva.org> 2.27.99-2
+ Revision: 648397
- drop patch 0, it was breaking the pkgconfig file

* Thu Mar 24 2011 Götz Waschk <waschk@mandriva.org> 2.27.99-1
+ Revision: 648313
- update to new version 2.27.99

* Wed Mar 23 2011 Funda Wang <fwang@mandriva.org> 2.27.98-2
+ Revision: 648040
- fix doctooldir path in pc file

* Wed Mar 23 2011 Götz Waschk <waschk@mandriva.org> 2.27.98-1
+ Revision: 648031
- update to new version 2.27.98

* Wed Mar 23 2011 Funda Wang <fwang@mandriva.org> 2.27.97-1
+ Revision: 647828
- new version 2.27.97

* Sun Sep 19 2010 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2011.0
+ Revision: 579893
- update to new version 2.25.5

* Thu Sep 02 2010 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2011.0
+ Revision: 575212
- update to new version 2.25.4

* Tue Aug 03 2010 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2011.0
+ Revision: 565557
- update to new version 2.25.3

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2011.0
+ Revision: 563081
- new version
- bump glib dep

* Tue May 04 2010 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2010.1
+ Revision: 541913
- update to new version 2.24.2

* Fri Apr 16 2010 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2010.1
+ Revision: 535418
- update to new version 2.24.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2010.1
+ Revision: 528768
- update to new version 2.24.0

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 2.23.4-3mdv2010.1
+ Revision: 528363
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for missing packages

* Fri Mar 26 2010 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2010.1
+ Revision: 527629
- update to new version 2.23.4

* Mon Mar 08 2010 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2010.1
+ Revision: 516398
- update to new version 2.23.3

* Sat Feb 06 2010 Götz Waschk <waschk@mandriva.org> 2.23.2-1mdv2010.1
+ Revision: 501288
- update to new version 2.23.2

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2010.1
+ Revision: 489562
- update to new version 2.23.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2010.0
+ Revision: 446732
- update to new version 2.22.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2010.0
+ Revision: 446550
- update to new version 2.22.0
- move devhelp file to the doc package

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2010.0
+ Revision: 437261
- update to new version 2.21.5

* Wed Sep 02 2009 Götz Waschk <waschk@mandriva.org> 2.21.4.2-1mdv2010.0
+ Revision: 424073
- update to new version 2.21.4.2

* Fri Aug 28 2009 Götz Waschk <waschk@mandriva.org> 2.21.4.1-1mdv2010.0
+ Revision: 422000
- update to new version 2.21.4.1

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2010.0
+ Revision: 421337
- new version
- add doctool

* Mon Jul 27 2009 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2010.0
+ Revision: 400653
- update to new version 2.21.3

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2010.0
+ Revision: 395625
- update to new version 2.21.2

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2010.0
+ Revision: 390604
- update to new version 2.21.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2009.1
+ Revision: 355627
- update to new version 2.20.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.19.8-1mdv2009.1
+ Revision: 348117
- update to new version 2.19.8

* Sat Feb 21 2009 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2009.1
+ Revision: 343663
- update to new version 2.19.3

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 2.19.2-2mdv2009.1
+ Revision: 331372
- fix the tarball
- update to new version 2.19.2

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2009.1
+ Revision: 315822
- update to new version 2.19.1

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.18.1-2mdv2009.1
+ Revision: 296380
- rebuild for missing package
- update to new version 2.18.1

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2009.0
+ Revision: 286341
- new version

* Fri Sep 05 2008 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2009.0
+ Revision: 281047
- new version

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2009.0
+ Revision: 264547
- new version

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2009.0
+ Revision: 242505
- new version
- bump glib dep

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.17.0-1mdv2009.0
+ Revision: 231058
- new version

* Tue Jun 17 2008 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2009.0
+ Revision: 222145
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Apr 19 2008 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2009.0
+ Revision: 195784
- new version

* Sat Mar 29 2008 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2008.1
+ Revision: 191138
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2008.1
+ Revision: 183800
- new version

* Mon Mar 03 2008 Götz Waschk <waschk@mandriva.org> 2.15.8-1mdv2008.1
+ Revision: 178224
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.15.7-1mdv2008.1
+ Revision: 175377
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2008.1
+ Revision: 174617
- fix buildrequires
- new version
- update file list

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2008.1
+ Revision: 165917
- new version
- bump deps

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2008.1
+ Revision: 159243
- new version

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2008.1
+ Revision: 156157
- new version
- bump deps

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.15.1-1mdv2008.1
+ Revision: 151739
- new version
- bump deps

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 2.15.0-1mdv2008.1
+ Revision: 139607
- new version
- bump glib dep
- update file list

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2008.1
+ Revision: 101129
- new version

* Fri Oct 05 2007 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2008.1
+ Revision: 95546
- new version
- fix file list
- update license tag

* Wed Sep 12 2007 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2008.0
+ Revision: 84731
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.13.9-1mdv2008.0
+ Revision: 56508
- new version

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.13.8-1mdv2008.0
+ Revision: 50631
- new version

* Sat Jun 30 2007 Götz Waschk <waschk@mandriva.org> 2.13.7-1mdv2008.0
+ Revision: 46033
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.13.6-2mdv2008.0
+ Revision: 41429
- rebuild

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.13.6-1mdv2008.0
+ Revision: 40598
- new version

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2008.0
+ Revision: 20386
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 2.13.4-1mdv2008.0
+ Revision: 17810
- new version


* Fri Dec 29 2006 Götz Waschk <waschk@mandriva.org> 2.13.3-1mdv2007.0
+ Revision: 102579
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.13.2-2mdv2007.1
+ Revision: 87922
- bot rebuild
- new version

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdv2007.1
+ Revision: 85847
- new version
- Import glibmm2.4

* Fri Sep 29 2006 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdv2007.0
- New version 2.12.2

* Sun Sep 24 2006 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2007.0
- New version 2.12.1

* Fri Aug 18 2006 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdv2007.0
- New release 2.12.0

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.11.3-1
- New release 2.11.3

* Tue Jul 18 2006 Götz Waschk <waschk@mandriva.org> 2.11.2-1
- New release 2.11.2

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 2.10.4-1mdk
- New release 2.10.4

* Sat May 20 2006 Götz Waschk <waschk@mandriva.org> 2.10.3-1mdk
- New release 2.10.3

* Sat May 13 2006 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Sat Apr 15 2006 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- New release 2.10.1

* Tue Apr 11 2006 Gtz Waschk <waschk@mandriva.org> 2.10.0-1mdk
- bump deps

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 2.10.0-1mdk
- New release 2.10.0

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 2.8.5-1mdk
- New release 2.8.5

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 2.8.4-1mdk
- New release 2.8.4

* Fri Dec 16 2005 Götz Waschk <waschk@mandriva.org> 2.8.3-1mdk
- New release 2.8.3
- use mkrel

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- New release 2.8.2

* Thu Oct 20 2005 Götz Waschk <waschk@mandriva.org> 2.8.1-1mdk
- New release 2.8.1

* Sun Oct 09 2005 Götz Waschk <waschk@mandriva.org> 2.8.0-1mdk
- bump deps
- New release 2.8.0

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix source URL
- New release 2.6.1

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- fix source URL
- New release 2.6.0

* Thu Feb 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.4.7-1mdk
- New release 2.4.7

* Thu Jan 27 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.4.6-1mdk
- New release 2.4.6

* Fri Oct 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.5-1mdk
- fix description
- New release 2.4.5

* Wed Aug 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.4-1mdk
- fix source url
- New release 2.4.4

* Sun Jun 20 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.4.3-1mdk
- New release 2.4.3

* Mon Jun 07 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.4.2-1mdk
- New release 2.4.2

* Wed May 05 2004 Abel Cheung <deaddog@deaddog.org> 2.4.1-1mdk
- New version

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.4.0-1mdk
- First Mandrake package

